Search
Search people
Identical to GET /search/people, but accepts filter, sort, and page as a JSON request body. Returns the same search_hit_people index shape.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
TypeScript Definitions
Use the request body type in TypeScript.
Search criteria for a full-text search request, mirroring the filter, sort, and page query parameters of the GET variant. All fields are optional.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/search/people" \ -H "Content-Type: application/json" \ -d '{}'{ "data": [ { "type": "search_hit_people", "id": "string", "attributes": { "score": 0, "sort_fields": [ null ], "person": {} }, "links": { "self": "../dictionary" } } ], "meta": { "page": { "total_items": 0, "total_pages": 0, "number": 0, "size": 0 } }}{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}